更新ESXi 6.7补丁时报错DependencyError

更新ESXi 6.7补丁时报错DependencyError

上月底,我们发布了《关于 VMware 虚拟环境逃逸漏洞的紧急预警》,今天有客户更新补丁时遇到报错,如图:

[DependencyError]
…………,but the requirement cannot be satisfied within the ImageProfile.

更新补丁命令并未按照严格规范来更新,调整升级命令如下:

esxcli software profile update -p ESXi-6.7.0-20201104001-standard -d /vmfs/volumes/datastore1/ESXi670-202011002.zip

注意以上路径应该为补丁存放的绝对路径,客户按照上述补丁后,成功完成,VMware ESXi 6.7.0的生成版本为17167734。

那么既然是缺少了映像配置文件,那么这个配置文件名称ESXi-6.7.0-20201104001-standard从哪获取?有两种途径:

1、直接使用命令

#路径为补丁存放的绝对路径
esxcli software sources profile list -d /vmfs/volumes/datastore1/ESXi670-202011002.zip

2、查询补丁发行说明,以ESXi670-202011002.zip为例,发行说明链接如下:
https://docs.vmware.com/cn/VMware-vSphere/6.7/rn/esxi670-202011002.html

dinghui.org

关注虚拟化及IT技术发展!